Mobileread
Koreader running on Kobos (all of them, hopefully!)
#11  voyage2005 07-01-2013, 01:20 AM
Quote giorgio130
Thanks for noticing the typo. Your line in kobotweaks.ini is identical to mine, so it should work. Are you able to run other commands? If the software is actually started and it crashes somewhere, a file called crash.log should be present hinting at the cause, could you post the contents if it is there?
Yes. I can run other commands (for example: KoboLauncher.sh).

The crash.log file only has one line: "Segmentation fault"
Reply 

#12  WS64 07-01-2013, 01:47 AM
Quote paola
you have to modify the .ini file (it is a textfile) of the launcher and add the line:

"koreader = /mnt/onboard/.kobo/koreader/koreader-kobo.sh /mnt/onboard"

When you launch Kobolauncher, you will see in the menu Koreader, just touch that.
This is what I tried first.
Does not work.
Koreader shows up (of course), but clicking on it does not have any affect.
Reply 

#13  Ken Maltby 07-01-2013, 02:06 AM
Quote WS64
This is what I tried first.
Does not work.
Koreader shows up (of course), but clicking on it does not have any affect.
Are you running under the 2.6.1 firmware? I think that may be what is preventing us from having it work. I would go back to an earlier firmware, and try, but I can wait.

Luck;
Ken
Reply 

#14  WS64 07-01-2013, 02:48 AM
Yes, I'm on 2.6.1 (like I wrote in my first post).
And I can see in the log file of Kobo Launcher that KL did execute the command, but that's all I can see.
Reply 

#15  pbra 07-01-2013, 03:22 AM
Hello,

I tested koreader (koreader-v2013.03-207-gd7df349.zip) on my glo with 2.5.2 fw. It doesn't start and I get a "Segmentation fault" in crash.log.
I use the "Kobo Tweaks" by ah- to start it.
My configuration line is : Koreader=tweaks.executeSystemCmd(\"/mnt/onboard/.kobo/koreader/koreader_kobo.sh /mnt/onboard\")

it seem to be the same problem as the one of voyage2005

Regards
Reply 

#16  giorgio130 07-01-2013, 03:54 AM
@all the new attachment should work on 2.5.x, it is directly taken from my kobo and it is running nicely on it. I must have messed up something with the previous version, like I modified something and forgot about it.
Reply 

#17  WS64 07-01-2013, 03:56 AM
Quote giorgio130
@all the new attachment should work on 2.5.x, it is directly taken from my kobo and it is running nicely on it. I must have messed up something with the previous version, like I modified something and forgot about it.
Is it worth trying it on 2.6.1?
Reply 

#18  WS64 07-01-2013, 04:14 AM
Quote WS64
Is it worth trying it on 2.6.1?
I answer myself: No, it does not work.

First, I still had the bug voyage2005 menitioned earlier, koreader-kobo.sh vs. koreader_kobo.sh, of course that did nothing.
I now changed it to koreader_kobo.sh.
What it does now is to reboot my Mini after a few seconds.

No crash.log though.
Reply 

#19  paola 07-01-2013, 04:40 AM
Quote WS64
I answer myself: No, it does not work.

First, I still had the bug voyage2005 menitioned earlier, koreader-kobo.sh vs. koreader_kobo.sh, of course that did nothing.
I now changed it to koreader_kobo.sh.
What it does now is to reboot my Mini after a few seconds.

No crash.log though.
In my case, more simply nothing happens at all, the system is simply unresponsive, but does not reboot.
Reply 

#20  giorgio130 07-01-2013, 08:54 AM
@paola are you using it under 2.5.x? I think I stated clearly this does currently not work under 2.6.1. I think I'm near to compile a version working under it, I just need to recompile with the proper toolchain.
Reply 

 « First  « Prev Next »  Last »  (2/327)
Today's Posts | Search this Thread | Login | Register